libssh 0.7.2

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sftp_statvfs_t Struct Reference
The libssh SFTP API

SFTP statvfs structure. More...

`#include <include/libssh/sftp.h>`

## Data Fields
uint64_t | f_bavail
| free blocks in file system
uint64_t | f_bfree
| number of blocks (unit f_frsize)
uint64_t | f_blocks
| fundamental fs block size
uint64_t | f_favail
| free file inodes
uint64_t | f_ffree
| total file inodes
uint64_t | f_files
| free blocks for non-root
uint64_t | f_flag
| file system id
uint64_t | f_frsize
| file system block size
uint64_t | f_fsid
| free file inodes for to non-root
uint64_t | f_namemax
| bit mask of f_flag values

## Detailed Description

SFTP statvfs structure.

The documentation for this struct was generated from the following file:

- include/libssh/sftp.h